## wslu 2.3.2

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,5 @@
 	rm -rf $(OUTPATH)
 
 test:
-	PATH="$$CURRENT_PATH/src:$$CURRENT_PATH/out:$$PATH"
+	PATH="$$CURPATH/src:$$CURPATH/out:$$PATH"
 	extras/bats/libexec/bats tests/header.bats tests/wslsys.bats tests/wslusc.bats tests/wslupath.bats tests/wslvar.bats tests/wslfetch.bats tests/wslview.bats
-
