=== debian/changelog ===
wslu (2.3.2-0ubuntu2~16.04.3) xenial; urgency=medium

  * Detect X and PulseAudio in WSL2, too (LP: #1853343)
  * debian/wsl-integration.sh: Use type instead of which for faster execution.
    Also skip all detection steps when pactl and xvinfo are not installed.
  * debian/wsl-integration.sh: Set timeouts for X and PulseAudio detection.
    This fixes long startup time when detection fails after waiting for long.
    (LP: #1855520)
  * Cache results of detecting X and sound server in
    $HOME/.cache/wslu/integration. (LP: #1855898)
    Reuse results when starting new shells in the same running
    WSL Ubuntu instance.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Dec 2019 21:33:12 +0100

wslu (2.3.2-0ubuntu2~16.04.2) xenial; urgency=medium

  * Revert previous SRU (LP: #1855520):
    - Revert "debian/wsl-integration.sh: Use type instead of which for faster execution"
    - Revert "Detect X and PulseAudio in WSL2, too"

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Dec 2019 08:57:49 +0100

wslu (2.3.2-0ubuntu2~16.04.1) xenial; urgency=medium

  * Detect X and PulseAudio in WSL2, too (LP: #1853343)
  * debian/wsl-integration.sh: Use type instead of which for faster execution.
    Also skip all detection steps when pactl and xvinfo are not installed.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Nov 2019 12:44:05 +0100

wslu (2.3.2-0ubuntu2~16.04.0) xenial; urgency=medium

  * Backport to Xenial (LP: #1849679)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 24 Oct 2019 16:15:20 +0200

wslu (2.3.2-0ubuntu2) focal; urgency=medium

  * Suppress pulseaudio error on starting shell when pulseaudio-utils is installed
    (LP: #1844671)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 24 Oct 2019 16:04:32 +0200

wslu (2.3.2-0ubuntu1) eoan; urgency=medium

  [ Sebastien Bacher ]
  * debian/postinst, debian/prerm:
    - register also the www-browser alternative, the non-x-variant is
      used by xdg-open when DISPLAY is unset

  [ Balint Reczey ]
  * New upstream release
    - Fix support for Windows user names with space
  * Add autopkgtest
  * Fix saving configuration when the Windows user name contains space
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 Oct 2019 11:58:38 +0200

wslu (2.3.0-1ubuntu1) eoan; urgency=medium

  * debian/control: Set Vcs-* fields
  * New upstream release
    - Stop changing terminal font when running wsl* commands (LP: #1836208)
  * Refresh patches
  * debian/rules: Run tests in WSL only

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 01 Aug 2019 12:54:30 +0200

wslu (2.0.0-0ubuntu3) eoan; urgency=medium

  * Set DISPLAY=:0 when an X11 server is running (LP: #1836552)
  * Use PulseAudio if it is running on Windows (LP: #1836552)
  * Set up sound, too, when starting GUI programs via Windows desktop shortcuts
    (LP: #1836552)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 15 Jul 2019 12:05:41 +0200

wslu (2.0.0-0ubuntu2~16.04.1) xenial; urgency=medium

  * Set DISPLAY=:0 when an X11 server is running (LP: #1836552)
  * Use PulseAudio if it is running on Windows (LP: #1836552)
  * Set up sound, too, when starting GUI programs via Windows desktop shortcuts
    (LP: #1836552)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 15 Jul 2019 13:33:08 +0200

wslu (2.0.0-0ubuntu2~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial (LP: #1818673)
  * Build-depend on debhelper (>= 9) with compat level 9

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 19 Mar 2019 11:04:18 +0100
