=== debian/control ===
--- 
+++ 
@@ -3,16 +3,20 @@
 Priority: optional
 Maintainer: Balint Reczey <rbalint@ubuntu.com>
 Build-Depends: bats,
-               debhelper (>= 10),
+               debhelper (>= 9),
                imagemagick,
                inkscape
 Standards-Version: 4.3.0.3
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/wslu -b ubuntu/master
+Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/wslu
 Homepage: https://wslu.patrickwu.space/
 
 Package: wslu
 Architecture: all
 Depends: ${misc:Depends},
          bc
+Recommends: pulseaudio-utils,
+            x11-utils
 Suggests: imagemagick
 Provides: www-browser
 Description: collection of utilities for the Windows 10 Linux Subsystem
