=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 		mkdir -p extras/bats/libexec && ln -s /usr/bin/bats extras/bats/libexec/ &&\
 		dh_auto_test ; \
 	else \
-		env PATH=out:$$PATH:$$src TERM=xterm; bats tests/header.bats ; \
+		echo "Skipping tests, they pass in WSL only with WSLInterop enabled"; \
 	fi
 
 override_dh_clean:
