=== debian/changelog ===
wslu (2.3.6-0ubuntu2~20.04.0) focal; urgency=medium

  * d/p/0011-src-wslu-header-reg.exe-path-not-properly-set.patch:
    - reg.exe path not properly set (LP: #1877016)
  * d/p/0012-src-wslfetch.sh-update-Ubuntu-logo.patch:
    - update Ubuntu logo (LP: #1883920)
  * d/p/0013-src-wslu-header-fix-an-issue-that-Ubuntu-will-not-be.patch:
    - fix an issue that Ubuntu will not be detected properly (LP: #1883924)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 17 Jun 2020 21:11:36 +0800

wslu (2.3.6-0ubuntu1) focal; urgency=medium

  [ Patrick Wu ]
  * Upstream update to 2.3.6 to address critical issues (LP: #1871986)
    - wslupath manpage update
    - fixes that imported distro cannot be properly handled by baseexec_gen
    - fix an issue in handling dirty output in regenerate baseexec
    - fix an issue in generating ~/.config/baseexec
    - wslusc: fix an issue that will cause generated shortcut cannot be opened
      for some users
  * Update patches
  * debian/wsl-integration.sh: removal links in profile.d as requested by MSFT.
  * debian/wsl-integration.sh: Fix issue that space in username breaks 
    wsl-integration.sh. (LP: #1869878)
  * debian/wsl-integration.sh: Use /tmp folder for system users who do not have 
    $HOME. (LP: #1859509)

  [ Balint Reczey ]
  * debian/wsl-integration.sh: Suppress errors when saving $HOME/.cache. 
    (LP: #1859509)
  * debian/wsl-integration.sh: debian/wsl-integration.sh unset the right 
    variable at the end of script. (LP: #1857426)

 -- Patrick Wu <patrick.wu@canonical.com>  Thu, 09 Apr 2020 20:27:13 +0800

wslu (2.3.2-0ubuntu4) focal; urgency=medium

  * debian/wsl-integration.sh: Set timeouts for X and PulseAudio detection.
    This fixes long startup time when detection fails after waiting for long.
    (LP: #1855520)
  * Cache results of detecting X and sound server in $HOME/.config/wsl/integration-cache.
    Reuse results when starting new shells in the same runnig WSL Ubuntu instance.
    (LP: #1855898)
  * debian/wsl-integration.sh: Use pactl stat instead of pactl info in detection.
    Pactl stat is slightly faster, ~0.3s vs. ~0.45s with pactl info when running
    on WSL1.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Dec 2019 15:45:09 +0100

wslu (2.3.2-0ubuntu3) focal; urgency=medium

  * Detect X and PulseAudio in WSL2, too (LP: #1853343)
  * debian/wsl-integration.sh: Use type instead of which for faster execution.
    Also skip all detection steps when pactl and xvinfo are not installed.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Nov 2019 10:50:14 +0100
