=== debian/watch ===
version=4
opts="repack,compression=xz,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg.*$//i,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wslu-$1.tar.gz%" \
      https://github.com/wslutilities/wslu/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
