=== debian/changelog ===
wslu (3.2.1-0ubuntu1.1) groovy; urgency=medium

  * header: Avoid error message when the file doesn't
    exist (LP: #1911379)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 13 Jan 2021 11:26:25 +0800

wslu (3.2.1-0ubuntu1) groovy; urgency=medium

  * Update from 2.3.6 to 3.2.1 to provide new features and
    address some issues (ffe lp: #1895525)
    - Documentation: add section 7 manpage: `wslu`
    - Documentation: updated manpage system
    - Documentation: New README language Esperanto
    - Project: updated build system
    - Project: versioning system update
    - Project: add separate Fedora Remix support
    - header: add `--verbose`
    - header: refactor the header in order to speed up
    - header: handling empty ~/.config/wslu/baseexec
    - header: use the proper color definition
    - header: fix `ubuntu.exe` detection issue
    - header: prevent localappdata not found in env
    - header: improvements on the system drive detection.
      (GH: #133, LP: #1888869)
    - header: fix badly generated shortcut issue (GH: #141)
    - wslact: brand new CLI
    - wslact: adding `--mount-options` for auto-mounting feature
    - wslact: fix an i18n related issue in time-sync feature 
      (GH: #113 by @ricardosantos9521)
    - wslact: add back-compatibility for the auto-mounting feature.
    - wslusc: brand new helper script (GH: #93)
    - wslusc: brand new shortcut icon
    - wslusc: always use the absolute path (fixes #129)
    - wslusc: fixes a possible white space path issue
    - wslusc: add convert not found warning
    - wslusc: fix the problem that the previous version that GUI shortcut
      generated won't work.
    - wslusc: When TMP is empty, try TEMP
    - wslusc: fix an issue that wsl.exe execute with wrongly passed param
      (GH: #138)
    - wslfetch: colorbar expanded
    - wslfetch: `--no-colorbar` become `--colorbar`
    - wslfetch: speed up execution time (GH: #100)
    - wslfetch: new display for WSL with WSL version displayed
    - wslfetch: use the proper logo for Ubuntu 
      (Reported by Martin Wimpress, LP: #1883920)
    - wslview: alias of `wslstart`, `wstart`, `wview` (GH: #64)
    - wslview: browser registration parameter change
    - wslview: handling file:/// protocol (GH: #66)
    - wslview: fix a mistake in `converted_file_path`
    - wslview: properly detect all different protocols and path styles 
      (GH: #118)
    - wslview: mistake in calling a variable (fixes #118 again)
    - wslview: fix a bug that it won't open `file:///mnt/c/...` 
      or `/mnt/c/...`
    - wslview: add wslview.desktop (GH: #143 and #146)
    - wslsys: Display Scaling Factor (help with Pengwin GH: #559)
    - wslsys: Windows Locale
    - wslsys: Windows Theme 
    - wslsys: speed up execution time 
    - wslsys: add WSL version option
    - wslsys: fix an issue in DPI scaling getting wrong value due to the API
      change in Latest fast ring insider build (Reported by @crramirez)
    - wslsys: fix an issue that the WSL Version shown is wrong.
    - package: missing call to `configure.sh`
    - package: fix alpine dependency issue (GH: #117)
    - tests: update the test system and tests. (GH: #125)

 -- Patrick Wu <patrick.wu@canonical.com>  Sun, 13 Sep 2020 22:36:33 +0800

wslu (2.3.6-0ubuntu3) groovy; urgency=medium

  * debian/rules:
    - update the svg conversion commands for the current inkscape
      version and fix the build      

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 01 Jul 2020 16:07:10 +0200

wslu (2.3.6-0ubuntu2) groovy; urgency=medium

  * d/p/0011-src-wslu-header-reg.exe-path-not-properly-set.patch:
    - reg.exe path not properly set (LP: #1877016)
  * d/p/0012-src-wslfetch.sh-update-Ubuntu-logo.patch:
    - update Ubuntu logo (LP: #1883920)
  * d/p/0013-src-wslu-header-fix-an-issue-that-Ubuntu-will-not-be.patch:
    - fix an issue that Ubuntu will not be detected properly (LP: #1883924)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 17 Jun 2020 21:11:36 +0800
