## wslu 3.2.3

=== Makefile ===
--- 
+++ 
@@ -66,4 +66,4 @@
 	rm -rf $(OUTMANPATH)
 
 test:
-	extras/bats/bin/bats -r tests
+	bats -r tests
