=== debian/changelog ===
wslu (3.2.3-0ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:32 +0200

wslu (3.2.3-0ubuntu2) impish; urgency=medium

  * debian/control:
    - fix a Depends syntax error in the previous changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 May 2021 13:01:07 +0200

wslu (3.2.3-0ubuntu1) impish; urgency=medium

  * wslsys: fix an issue in call_windows_uptime
    (GH: #182)
  * header: fix a distro detection issue in 
    Ubuntu Impish (21.10)
  * debian/control: fix dependency issue in 
    installing wslu (LP: #1926771)
  * docs: include available commands in manpage 
    (GH: #169)
  * project: fix a problem that Powershell output
    non-unicode character (GH: #162)
  * wslview: fix an issue that caused the relative
    Linux path unable to be opened (GH: #165)
  * wslusc: fix an issue that some people unable
    to open their GUI application (GH: #174)
  * header: Avoid error message when the file doesn't
    exist (LP: 1911379)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 12 May 2021 10:43:48 +0800

wslu (3.2.1-0ubuntu2) hirsute; urgency=medium

  * header: Avoid error message when the file doesn't
    exist (LP: 1911379)

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 13 Jan 2021 11:26:25 +0800
