=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

override_dh_auto_test:
	if (test -f /proc/sys/fs/binfmt_misc/WSLInterop && grep -q enabled /proc/sys/fs/binfmt_misc/WSLInterop); then \
		mkdir -p extras/bats/bin && ln -s /usr/bin/bats extras/bats/bin/ &&\
		dh_auto_test ; \
	else \
		echo "Skipping tests, they pass in WSL only with WSLInterop enabled"; \
	fi

override_dh_clean:
	dh_clean extras/bats/bin/
