=== debian/tests/control ===
Tests: commands
Depends: @, @builddeps@
Restrictions: skippable
